petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscLayoutGetRanges

gets the range of values owned by all processes

### Synopsis

    #include "petscis.h"
    PetscErrorCode  PetscLayoutGetRanges(PetscLayout map,const PetscInt *range[])

Not Collective

### Input Parameters

map -pointer to the map

### Output Parameters

range -start of each processors range of indices (the final entry is one more then the last index on the last process)

### Notes

Call this after the call to PetscLayoutSetUp()

### Fortran Notes

Not available from Fortran

### See Also

PetscLayoutCreate(), PetscLayoutSetLocalSize(), PetscLayoutGetLocalSize(), PetscLayoutSetSize(),
PetscLayoutGetSize(), PetscLayoutGetRange(), PetscLayoutSetBlockSize(), PetscLayoutGetSize(), PetscLayoutSetUp()

### Level

developer

### Location

src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages